DICAR(1)

NAME
dicar - Archive Binary Dictionary

SYNOPSYS
dicar -t bindic1
dicar -x bindic1 [ bindic2 ]
dicar -r bindic1 bindic2
dicar -d bindic1 bindic2

DESCRIPTION
dicar archives binary dictionary bindic1. The hyphen of each option may be omitted.

-t  Displays the dictionaries contained in binary dictionary file bindic1. Each displayed name of the dictionaries consists of the text file name followed by extension '.d'. This text file name is that before the dictionary file is converted into the binary file.

-x  Fetches dictionary bindic2 from bindic1. Bindic2 consists of the text file name followed by extension '.d'. This text file name is that before the dictionary file is converted into the binary file. The fetched file bindic2 becomes a dictionary file in binary format. If bindic2 is omitted, all dictionaries within bindic1 will be fetched.

-r  Adds to bindic1, all dictionaries that are contained in the dictionary file specified in bindic2. Any dictionary in bindic1 that is contained in bindic1 is overwritten.

-d  Deletes bindic2 from bindic1.

EXAMPLES
% ls
chimei.d shima.d
% dicar -t shima.d
(Text dictionary file name = Directory size + Word size, packed)
% dicar r shima.d shima.mwd.d (Replaces shima.mwd.d.)
% dicar r shima.d chimedi.d (Adds chimedi.d to shima.d.)
% dicar -t shma.d
(Text dictionary file name = Directory size + Word size, packed)

SEE ALSO

dpbindic(1), mkbindic(1)